package com.iamberry.wechat.core.entity.eo;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  赠品池类
 * @author Administrator
 * @Date 2019-10-21
 */
public class GiftPool  implements  Serializable{
    private static final long serialVersionUID = 7148244471904713727L;
    //赠品池id
    private Integer giftPoolId;
    //赠品id
    private Integer settGiftId;
    //赠送颜色id
    private Integer giftPoolColorId;
    //价格
    private Integer giftPoolPrice;
    //赠送数量
    private Integer giftPoolNum;
    //状态 1.使用中 2.未使用
    private Integer giftPoolStatus;
    //顺序
    private Integer giftPoolSort;
    //库存
    private Integer giftPoolStock;
    //关系 1:互斥 2:共用
    private Integer giftPoolRelation;
    //关系描述
    private String giftPoolRelationDesc;
    //创建时间'
    private Date giftPoolCreateTime;

    public Integer getGiftPoolId(){
        return giftPoolId;
    }

    public void setGiftPoolId(Integer  giftPoolId){
        this.giftPoolId=giftPoolId;
    }

    public Integer getSettGiftId(){
        return settGiftId;
    }

    public void setSettGiftId(Integer  settGiftId){
        this.settGiftId=settGiftId;
    }

    public Integer getGiftPoolColorId(){
        return giftPoolColorId;
    }

    public void setGiftPoolColorId(Integer  giftPoolColorId){
        this.giftPoolColorId=giftPoolColorId;
    }

    public Integer getGiftPoolPrice(){
        return giftPoolPrice;
    }

    public void setGiftPoolPrice(Integer  giftPoolPrice){
        this.giftPoolPrice=giftPoolPrice;
    }

    public Integer getGiftPoolNum(){
        return giftPoolNum;
    }

    public void setGiftPoolNum(Integer  giftPoolNum){
        this.giftPoolNum=giftPoolNum;
    }

    public Integer getGiftPoolStatus(){
        return giftPoolStatus;
    }

    public void setGiftPoolStatus(Integer  giftPoolStatus){
        this.giftPoolStatus=giftPoolStatus;
    }

    public Integer getGiftPoolSort(){
        return giftPoolSort;
    }

    public void setGiftPoolSort(Integer  giftPoolSort){
        this.giftPoolSort=giftPoolSort;
    }

    public Integer getGiftPoolStock(){
        return giftPoolStock;
    }

    public void setGiftPoolStock(Integer  giftPoolStock){
        this.giftPoolStock=giftPoolStock;
    }

    public Integer getGiftPoolRelation() {
        return giftPoolRelation;
    }

    public void setGiftPoolRelation(Integer giftPoolRelation) {
        this.giftPoolRelation = giftPoolRelation;
    }

    public String getGiftPoolRelationDesc() {
        return giftPoolRelationDesc;
    }

    public void setGiftPoolRelationDesc(String giftPoolRelationDesc) {
        this.giftPoolRelationDesc = giftPoolRelationDesc;
    }

    public Date getGiftPoolCreateTime(){
        return giftPoolCreateTime;
    }

    public void setGiftPoolCreateTime(Date  giftPoolCreateTime){
        this.giftPoolCreateTime=giftPoolCreateTime;
    }
}
